package com.ffii.lioner.modules.lioner.entity;

import java.time.LocalDateTime;

import com.ffii.core.entity.BaseEntity;

import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.Inheritance;
import jakarta.persistence.InheritanceType;
import jakarta.persistence.Table;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;

/** @author Jason Lam */
@Entity
@Table(name = "application")
@Inheritance(strategy=InheritanceType.TABLE_PER_CLASS)
public class Application extends BaseEntity<Long>{

	@NotNull
	@Column
	private Long eventId;

    @NotBlank
	@Column
	private String name;
    
    @Column
	private String description;
   
    @NotBlank
    @Column
	private String responsibleOfficer;

    @NotBlank
    @Column
	private String status;

    @Column
	private LocalDateTime importDate;

    public LocalDateTime getImportDate() {
        return this.importDate;
    }

    public void setImportDate(LocalDateTime importDate) {
        this.importDate = importDate;
    }

    public Long getEventId() {
        return this.eventId;
    }

    public void setEventId(Long eventId) {
        this.eventId = eventId;
    }

    public String getName() {
        return this.name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDescription() {
        return this.description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getResponsibleOfficer() {
        return this.responsibleOfficer;
    }

    public void setResponsibleOfficer(String responsibleOfficer) {
        this.responsibleOfficer = responsibleOfficer;
    }

    public String getStatus() {
        return this.status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

}


